optionGetValue(3)

NAME
optionGetValue - get a specific value from a hierarcical list

SYNOPSIS
#include <your-opts.h>
cc [...] -o outfile infile.c -lopts [...]

const tOptionValue * optionGetValue(const tOptionValue * pOptValue, char const * valueName);

DESCRIPTION
This routine will find an entry in a nested value option or configurable. If "valueName" is NULL, then the first entry is returned. Otherwise, the first entry with a name that exactly matches the argument will be returned. If there is no matching value, NULL is returned and errno is set to ENOENT. If the provided option value is not a hierarchical value, NULL is also returned and errno is set to EINVAL.

pOptValue
    a hierarchcal value

valueName
    name of value to get

RETURN VALUE
a compound value structure

ERRORS
The returned result is NULL and errno is set:

EINVAL - the pOptValue does not point to a valid hierarchical option value.

ENOENT - no entry matched the given name. @end itemize

SEE ALSO
The info documentation for the -lopts library.
ao_string_tokenize(3), configFileLoad(3), optionFileLoad(3), optionFindNextValue(3), optionFindValue(3), optionFree(3), optionLoadLine(3), optionMemberList(3), optionNextValue(3), optionOnlyUsage(3), optionPrintVersion(3), optionPrintVersionAndReturn(3), optionProcess(3), optionRestore(3), optionSaveFile(3), optionSaveState(3), optionUnloadNested(3), optionVersion(3), strequate(3), streqvcmp(3), streqvmap(3), strneqvcmp(3), strtransform(3),